ES | EN

📄 MIPYME Documents

Get a paginated list of documents

GET
URL del endpoint https://apifacto.com/v1/documents
Requiere autenticación

Autenticación

Envía la cabecera Authorization: Bearer <token> (obtenido en POST /auth) en los endpoints protegidos.

Parámetros

NombreUbicaciónTipoRequeridoDescripción
pagequeryinteger——
per_pagequeryinteger——
issue_date_fromquerystring—Filter from this date (inclusive). Format AAAA-MM-DD
issue_date_toquerystring—Filter to this date (inclusive). Format AAAA-MM-DD
taxbureau_sending_statusqueryinteger—0 = Sending.
1XX = Retrying sending.
2XX = Rejected by Tax Bureau.
1 = Received by Tax Bureau.
2 = Closed without sending.
3 = Imported from another system.
taxbureau_validation_statusqueryinteger—0,1 = In process.
2 = Sending rejected by tax bureau.
3 = Accepted by tax bureau.
4 = Accepted by tax bureau with warnings.
5 = Content Rejected by tax bureau.
document_numberquerystring—Document number
document_type_idqueryinteger—Document type ID according to the country
document_sequence_codequerystring—Document series (sequence code), e.g. F001 in Peru. Can be combined with document_number to find a specific document.
received_issued_flagquerynumber—1 = issued
0 = received
receiver_tax_id_codequerystring—Receiver document number
receiver_legal_namequerystring—Filter to search by the receiver company's name in the document.
min_total_amountquerystring—Filter that allows searching with a minimum of total_amount and also supports using both filters together.
max_total_amountquerystring—Filter that allows searching with a maximum of total_amount and also supports using both filters together.
reference_document_idqueryinteger—Filter that allows searching by reference document ID.
reference_codequeryinteger—Filter that allows searching by reference code. 1 = cancel, 2 = correct text, 3 = correct quantity, 4 = set, 5 = reference to other non-tax documents, 6 = reference to dispatch guide, 7 = global reference to a type of document (allows reducing the amount for all documents of this type for this particular client).
reference_numberquerystring—Filter that allows searching by reference number ONLY for non-tax documents, for tax documents, use the reference_document_id parameter
reference_typequerystring—Filter that allows searching by reference type. This is the document type ONLY for non-tax documents, for tax documents, use the reference_document_id parameter.
order_byquerystring—asc = ascending
desc = descending
Filter based on the date, which can also be combined with another parameter.
document_statusqueryinteger—0 = Draft
1 = Issued
2 = Cancelled (mexico)
Filter based on the document_status: draft, issued or cancelled.

Respuestas

200 Successful response